import 'package:diplomaticquarterapp/core/enum/viewstate.dart';
import 'package:diplomaticquarterapp/core/viewModels/qr_view_model.dart';
import 'package:diplomaticquarterapp/pages/base/base_view.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/buttons/secondary_button.dart';
import 'package:diplomaticquarterapp/widgets/data_display/CarouselSlider.dart';
import 'package:diplomaticquarterapp/widgets/data_display/text.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:diplomaticquarterapp/widgets/transitions/fade_page.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:hexcolor/hexcolor.dart';

import '../../../d_q_icons_icons.dart';
import 'e_referral_page.dart';

class EReferralIndexPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return  AppScaffold(
          isShowAppBar: true,
          appBarTitle: "Service Information",
          body: SingleChildScrollView(
            padding: EdgeInsets.all(12),
            child:
                Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: <Widget>[
                      Texts(
                        "E-Referral: ",
                        fontWeight: FontWeight.normal,
                        fontSize: 25,
                        color: Hexcolor("#60686b"),
                      ),
                      SizedBox(
                        height: 12,
                      ),
                      Texts(
                        "This service allows you to submit a Referral request from any health care providers either inside or outside the kingdom of Saudi Arabia to any of HMG Hospitals, By filling some of the patient's data and attaching the medical reports, moreover you can track the request status (Under process, Accepted or Rejected)",
                        fontWeight: FontWeight.normal,
                        fontSize: 17,
                      ),
                      SizedBox(
                        height: 22,
                      ),
                      Center(
                        child: SizedBox(
                          height: MediaQuery.of(context).size.height * 0.55,
                          width: MediaQuery.of(context).size.width * 0.50,
                          child: CarouselSlider(
                            imagesUrlList: [
                              "https://hmgwebservices.com/Images/MobileApp/images-info-home/referal/en/0.png",
                              "https://hmgwebservices.com/Images/MobileApp/images-info-home/referal/en/1.png"
                            ],
                          ),
                        ),
                      ),
                      SizedBox(
                        height: 77,
                      ),
                    ],
                  )

          ),
          bottomSheet: Container(
            height: MediaQuery.of(context).size.height * 0.10,
            width: double.infinity,
            child: Column(
              children: <Widget>[
                Container(
                  width: MediaQuery.of(context).size.width * 0.9,
                  child: SecondaryButton(
                      onTap: ()=> Navigator.push(context, FadePage(page: EReferralPage())),
                      label: "E-Referral",
                      textColor: Theme.of(context).backgroundColor),
                ),
              ],
            ),

    ));
  }
}
